if exist ".git" (

MinGit\cmd\git fetch --depth 1 origin
MinGit\cmd\git reset --hard origin/master

) else (

MinGit\cmd\git clone --depth 1 https://gitlink.org.cn/pickaxe_e/TBNB_modpack.git temp_modpack
xcopy /E /Y /H "temp_modpack\*" .
rmdir /S /Q "temp_modpack"

)